[Updated] (MNG-6305) Validation of CI friendly version incorrect

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Updated] (MNG-6305) Validation of CI friendly version incorrect

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/MNG-6305?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Robert Scholte updated MNG-6305:
--------------------------------
    Fix Version/s: 3.5.3-candidate

> Validation of CI friendly version incorrect
> -------------------------------------------
>
>                 Key: MNG-6305
>                 URL: https://issues.apache.org/jira/browse/MNG-6305
>             Project: Maven
>          Issue Type: Bug
>          Components: POM
>    Affects Versions: 3.5.2
>            Reporter: Robert Scholte
>             Fix For: 3.5.3-candidate
>
>
> The version may contain some special expression, which are considered as a constant.
> However, the following version is treated as valid too:
> {code:xml}
> <version>${sha1}${var}</version>
> {code}
> The validator should check every expression and verify they're all constants.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)